SET WRITE_DELAY 0;             
SET LOCK_MODE 3;               
;              
CREATE USER IF NOT EXISTS "NF" SALT '76347b11a269a033' HASH '5765f00ef2820dceeadaebfaa4a86faad5c875f8aea5bfb08b4a991417bc0cfd' ADMIN;          
CREATE SEQUENCE "PUBLIC"."SYSTEM_SEQUENCE_7ECCD466_F9D9_414E_8501_B33B20425A62" START WITH 1 BELONGS_TO_TABLE; 
CREATE SEQUENCE "PUBLIC"."SYSTEM_SEQUENCE_5EE793C4_B665_4694_81D4_E374B6D7F6E1" START WITH 1 BELONGS_TO_TABLE; 
CREATE CACHED TABLE "PUBLIC"."IDENTITY_PROVIDER_CREDENTIAL"(
    "ID" INT DEFAULT NEXT VALUE FOR "PUBLIC"."SYSTEM_SEQUENCE_7ECCD466_F9D9_414E_8501_B33B20425A62" NOT NULL NULL_TO_DEFAULT SEQUENCE "PUBLIC"."SYSTEM_SEQUENCE_7ECCD466_F9D9_414E_8501_B33B20425A62",
    "IDENTITY" VARCHAR2(4096) NOT NULL,
    "IDP_TYPE" VARCHAR2(200) NOT NULL,
    "CREDENTIAL" BLOB NOT NULL,
    "CREATED" TIMESTAMP NOT NULL
);         
ALTER TABLE "PUBLIC"."IDENTITY_PROVIDER_CREDENTIAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDENTITY_PROVIDER_CREDENTIAL;             
CREATE CACHED TABLE "PUBLIC"."IDENTITY_PROVIDER_USER_GROUP"(
    "ID" INT DEFAULT NEXT VALUE FOR "PUBLIC"."SYSTEM_SEQUENCE_5EE793C4_B665_4694_81D4_E374B6D7F6E1" NOT NULL NULL_TO_DEFAULT SEQUENCE "PUBLIC"."SYSTEM_SEQUENCE_5EE793C4_B665_4694_81D4_E374B6D7F6E1",
    "IDENTITY" VARCHAR2(4096) NOT NULL,
    "IDP_TYPE" VARCHAR2(200) NOT NULL,
    "GROUP_NAME" VARCHAR2(4096) NOT NULL,
    "CREATED" TIMESTAMP NOT NULL
);               
ALTER TABLE "PUBLIC"."IDENTITY_PROVIDER_USER_GROUP" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDENTITY_PROVIDER_USER_GROUP;             
ALTER TABLE "PUBLIC"."IDENTITY_PROVIDER_CREDENTIAL" ADD CONSTRAINT "PUBLIC"."UK__IDENTITY" UNIQUE("IDENTITY"); 
ALTER TABLE "PUBLIC"."IDENTITY_PROVIDER_USER_GROUP" ADD CONSTRAINT "PUBLIC"."UK__IDENTITY_GROUP_NAME" UNIQUE("IDENTITY", "GROUP_NAME");        
